package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户权限
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("userJurisdiction")
public class UserJurisdiction implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @TableField("id")
    private Integer id;
    /**
     * 菜单主键id
     */
    @TableField("menusId")
    private String menusId;
    /**
     * 操作主键id
     */
    @TableField("operationId")
    private String operationId;
    /**
     * 权限备注
     */
    @TableField("remake")
    private String remake;

}
